---
title: Delete
url: https://docs.vultr.com/products/orchestration/container-registry/management/destroy
description: Permanently removes the specified resource from your Vultr account.
publish_date: 2024-09-23T20:21:25.668115Z
last_updated: 2026-05-26T20:19:08.440988Z
---

# How to Delete a Vultr Container Registry

Deleting a Vultr Container Registry removes all associated repositories and images, helping to manage costs and simplify your infrastructure by eliminating unused or redundant registries. This process ensures that you only retain the resources you need, streamlining your container management.

Follow this guide to delete a container registry on your Vultr account using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Container Registry**.

    1. Click your target registry to open its management page.

    1. Click delete icon on the top-right of the management page.

    1. Check the **Yes, destroy this Container Registry** box in the confirmation prompt, and click **Destroy Container Registry** to permanently delete the target registry.

=== "Vultr API"

    1. Send a `GET` request to the [**List Container Registries** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/list-registries) and note the target registry's ID.

        ```console
        $ curl "https://api.vultr.com/v2/registries" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Container Registry** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/delete-registry) to delete the target registry.

        ```console
        $ curl "https://api.vultr.com/v2/registry/{registry-id}" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all the available registries in your Vultr account and note the target registry's ID.

        ```console
        $ vultr-cli container-registry list
        ```

    1. Delete the target registry.

        ```console
        $ vultr-cli container-registry delete <registry-id>
        ```

=== "Terraform"

    1. Open your Terraform configuration where the Container Registry is defined.

    1. Remove the `vultr_container_registry` resource block, or destroy it by target.

        ```terraform
        resource "vultr_container_registry" "registry" {
          name   = "container-registry"
          region = "sjc"
          plan   = "start_up"
          public = false
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_container_registry.registry
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
